<?php
// include("connect.php");
$query0 = "SELECT province, count(province) as total 
          FROM tbcdb 
		  where province = 'กรุงเทพมหานคร'
          GROUP BY province";
$stmt = $pdo->query($query0);
$row = $stmt->fetch(PDO::FETCH_ASSOC);
$bkkp =  $row['province'];
$bkkc =  $row['total'];
$query = "SELECT province, count(province) as total 
          FROM tbcdb 
		  where province <> 'กรุงเทพมหานคร'
          GROUP BY province 
          ORDER BY total DESC";
$stmt = $pdo->query($query);
$data = array();
$labels = array();
$backgroundColors = array();
while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
	if ($row['total'] != 0) {
		$data[] = $row['total'];
		$labels[] = $row['province'];
		// Generate random color for each province
		$backgroundColors[] = 'rgba(' . rand(0, 255) . ',' . rand(0, 255) . ',' . rand(0, 255) . ',0.2)';
	}
}
$sum = array_sum($data); $sum=$sum+$bkkc;
?>

<div style="width: 100%;">
	<canvas id="myChart"></canvas>
</div>

<script src="../views/js/chart.js"></script>
<script>
	var ctx = document.getElementById('myChart').getContext('2d');
	var myChart = new Chart(ctx, {
		type: 'bar',
		data: {
			labels: <?php echo json_encode($labels); ?>,
			datasets: [{
				label: 'จำนวนเรื่องร้องเรียนร้องทุกข์',
				data: <?php echo json_encode($data); ?>,
				backgroundColor: <?php echo json_encode($backgroundColors); ?>,
				borderColor: <?php echo json_encode($backgroundColors); ?>,
				borderWidth: 1
			}]
		},
		options: { 
		<?php if ($_SESSION['role']<>2)  { ?> 
		indexAxis: 'y', 
		<?php } ?>
			responsive: true,
			maintainAspectRatio: true,
			scales: {
				y: {
					beginAtZero: true,
					ticks: {
						precision: 0
					}
				}
			}
		}
	});
</script>
<hr>
<?php
echo "<table border=2 class='table table-striped'>
        <tr>
            <th>จังหวัดที่ร้องเรียนร้องทุกข์ (Province)</th>
            <th class='not' style='text-align:right'>จำนวน (Amount)</th>
        </tr>
		<tr><td>$bkkp (ไม่แสดงผลในกราฟแท่ง)</td><td align='right'>" . number_format($bkkc, 0) . "</td></tr>";
foreach ($data as $key => $total) {
	if ($total <> 0) {
		echo "<tr><td>$labels[$key]</td><td align='right'>" . number_format($total, 0) . "</td></tr>";
	}
}
echo "<tr><th>จำนวนเรื่องร้องเรียนร้องทุกข์ ทุกจังหวัด</th><th class='not' style='text-align:right'>" . number_format($sum, 0) . "</th></tr>";
echo "</table>";
?>